play.i18n

## Class MessagesPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.i18n.MessagesPlugin

All Implemented Interfaces:
  java.lang.Comparable<PlayPlugin>

    public class MessagesPlugin
    extends PlayPlugin

Messages plugin

### Nested Class Summary

### Nested classes/interfaces inherited from class play.PlayPlugin

`PlayPlugin.Filter<T>`

### Field Summary

### Fields inherited from class play.PlayPlugin

`index`

### Constructor Summary

Constructors
Constructor and Description
`MessagesPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `detectChange()` It's time for the plugin to detect changes.
`void` `onApplicationStart()` Called at application start (and at each reloading) Time to start stateful things.

### Methods inherited from class play.PlayPlugin

`addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeActionInvocation, beforeDetectingChanges, beforeInvocation, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, invocationFinally, loadTemplate, modelFactory, onActionInvocationFinally, onActionInvocationResult, onApplicationReady, onApplicationStop, onClassesChange, onConfigurationRead, onEvent, onInvocationException, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessagesPlugin

    public MessagesPlugin()

### Method Detail

#### onApplicationStart

    public void onApplicationStart()

Description copied from class: `PlayPlugin`
Called at application start (and at each reloading) Time to start stateful things.

Overrides:
  `onApplicationStart` in class `PlayPlugin`

#### detectChange

    public void detectChange()

Description copied from class: `PlayPlugin`
It's time for the plugin to detect changes. Throw an exception is the application must be reloaded.

Overrides:
  `detectChange` in class `PlayPlugin`